<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/ProfileHeading.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/ProfileHeading.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import colors from '../../utils/style/colors';

const Container = styled.div``;

const Heading = styled.h1`
  font-weight: 500;
  font-size: 48px;
  margin: 0;
  margin-bottom: 40px;

  span {
    color: ${colors.secondary};
  }
`;

const SubHeading = styled.h2`
  font-weight: normal;
  font-size: 18px;
  margin: 0;
`;

/** Renders the heading of profile page */
const ProfileHeading: React.FC&lt;{ userFirstname: string }> = ({ userFirstname }) => {
  return (
    &lt;Container>
      &lt;Heading>
        Bonjour
        &lt;span>{` ${userFirstname}`}&lt;/span>
      &lt;/Heading>
      &lt;SubHeading>Félicitation ! Vous avez explosé vos objectifs hier 👏&lt;/SubHeading>
    &lt;/Container>
  );
};

export default ProfileHeading;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
